<#import "template.ftl" as layout>
<@layout.registrationLayout; section>
  <#if section = "title">
    <h1 class="text-center"><img class="${properties.kcHeaderLogoClass!}" src="${url.resourcesPath}/img/logo.png"></h1>
    <h4 class="text-center">${msg("loginProfileTitle")}</h4>
  <#elseif section = "header">
    <h1><img class="${properties.kcHeaderLogoClass!}" src="${url.resourcesPath}/img/logo.png"></h1>
    <h4 class="text-center">${msg("loginProfileTitle")}</h4>
  <#elseif section = "form">
    <form id="kc-update-profile-form" class="${properties.kcFormClass!}" action="${url.loginAction}" method="post">
      <div class="${properties.kcFormGroupClass!} ${messagesPerField.printIfExists('email',properties.kcFormGroupErrorClass!)}">
        <div class="${properties.kcLabelWrapperClass!}">
          <label for="email" class="${properties.kcLabelClass!}">${msg("email")}</label>
        </div>
        <div class="${properties.kcInputWrapperClass!}">
          <input type="text" id="email" name="email" value="${(user.email!'')}" class="${properties.kcInputClass!}" />
        </div>
      </div>

      <div class="${properties.kcFormGroupClass!} ${messagesPerField.printIfExists('firstName',properties.kcFormGroupErrorClass!)}">
        <div class="${properties.kcLabelWrapperClass!}">
          <label for="firstName" class="${properties.kcLabelClass!}">${msg("firstName")}</label>
        </div>
        <div class="${properties.kcInputWrapperClass!}">
          <input type="text" id="firstName" name="firstName" value="${(user.firstName!'')}" class="${properties.kcInputClass!}" />
        </div>
      </div>

      <div class="${properties.kcFormGroupClass!} ${messagesPerField.printIfExists('lastName',properties.kcFormGroupErrorClass!)}">
        <div class="${properties.kcLabelWrapperClass!}">
          <label for="lastName" class="${properties.kcLabelClass!}">${msg("lastName")}</label>
        </div>
        <div class="${properties.kcInputWrapperClass!}">
          <input type="text" id="lastName" name="lastName" value="${(user.lastName!'')}" class="${properties.kcInputClass!}" />
        </div>
      </div>

      <div class="form-group">
        <div class="${properties.kcLabelWrapperClass!}">
          <label for="user.attributes.street" class="${properties.kcLabelClass!}">${msg("street")}</label>
        </div>

        <div class="${properties.kcInputWrapperClass!}">
          <input type="text" class="${properties.kcInputClass!}"  id="user.attributes.street" name="user.attributes.street" value="${(user.attributes.street!'')}"/>
        </div>
      </div>
      <div class="form-group">
        <div class="${properties.kcLabelWrapperClass!}">
          <label for="user.attributes.locality" class="${properties.kcLabelClass!}">${msg("locality")}</label>
        </div>

        <div class="${properties.kcInputWrapperClass!}">
          <input type="text" class="${properties.kcInputClass!}"  id="user.attributes.locality" name="user.attributes.locality" value="${(user.attributes.locality!'')}"/>
        </div>
      </div>
      <div class="form-group">
        <div class="${properties.kcLabelWrapperClass!}">
          <label for="user.attributes.region" class="${properties.kcLabelClass!}">${msg("region")}</label>
        </div>

        <div class="${properties.kcInputWrapperClass!}">
          <input type="text" class="${properties.kcInputClass!}"  id="user.attributes.region" name="user.attributes.region" value="${(user.attributes.region!'')}"/>
        </div>
      </div>
      <div class="form-group">
        <div class="${properties.kcLabelWrapperClass!}">
          <label for="user.attributes.postal_code" class="${properties.kcLabelClass!}">${msg("postal_code")}</label>
        </div>

        <div class="${properties.kcInputWrapperClass!}">
          <input type="text" class="${properties.kcInputClass!}"  id="user.attributes.postal_code" name="user.attributes.postal_code" value="${(user.attributes.postal_code!'')}"/>
        </div>
      </div>
      <div class="form-group">
        <div class="${properties.kcLabelWrapperClass!}">
          <label for="user.attributes.country" class="${properties.kcLabelClass!}">${msg("country")}</label>
        </div>

        <div class="${properties.kcInputWrapperClass!}">
          <input type="text" class="${properties.kcInputClass!}"  id="user.attributes.country" name="user.attributes.country" value="${(user.attributes.country!'')}"/>
        </div>
      </div>


      <div class="${properties.kcFormGroupClass!}">
        <div id="kc-form-options" class="${properties.kcFormOptionsClass!}">
          <div class="${properties.kcFormOptionsWrapperClass!}">
          </div>
        </div>

        <div id="kc-form-buttons" class="${properties.kcFormButtonsClass!}">
          <input class="${properties.kcButtonClass!} ${properties.kcButtonPrimaryClass!} ${properties.kcButtonLargeClass!}" type="submit" value="${msg("doSubmit")}" />
        </div>
      </div>
    </form>
  </#if>
</@layout.registrationLayout>
